using System;
using Server;

namespace Server.Items
{
	public class IronBrazierStand : BaseLight
	{
		public override int LitItemID{ get { return 0x19AA; } }
		public override int UnlitItemID{ get { return 0x1F21; } }

		[Constructable]
		public IronBrazierStand() : base( 0x1F21 )
		{
			Name = "brazier stand";
			Duration = TimeSpan.Zero;
			Burning = false;
			Light = LightType.Circle225;
			Weight = 20.0;
		}

		public IronBrazierStand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}